Package com.sun.jna.platform.win32

## Class WinUser.COPYDATASTRUCT

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinUser.COPYDATASTRUCT

Enclosing interface:
  WinUser

    @FieldOrder({"dwData","cbData","lpData"})
    public static class WinUser.COPYDATASTRUCT
    extends Structure

Contains data to be passed to another application by the WM_COPYDATA message.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `cbData`
`BaseTSD.ULONG_PTR` `dwData`
`Pointer` `lpData`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`COPYDATASTRUCT()`
`COPYDATASTRUCT​(Pointer p)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dwData

    public BaseTSD.ULONG_PTR dwData

#### cbData

    public int cbData

#### lpData

    public Pointer lpData

### Constructor Detail

#### COPYDATASTRUCT

    public COPYDATASTRUCT()

#### COPYDATASTRUCT

    public COPYDATASTRUCT​(Pointer p)